org.apache.synapse.transport.nhttp.debug

## Class AbstractConnectionDebug

- java.lang.Object
- - org.apache.synapse.transport.nhttp.debug.AbstractConnectionDebug

- Direct Known Subclasses:
    ClientConnectionDebug, ServerConnectionDebug

      public abstract class AbstractConnectionDebug
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `fieldSeparator`
    `protected org.apache.http.Header[]` | `headers`
    `protected java.lang.String` | `keyValueSeparator`
    `protected boolean` | `printAllHeaders`
    `protected java.util.List<java.lang.String>` | `printHeaderNames`
    `protected boolean` | `printNoHeaders`
    `protected java.lang.String` | `statementSeparator`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractConnectionDebug()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.lang.String` | `dump()`
    `protected java.lang.String` | `format(long ms)`
    `protected java.lang.StringBuffer` | `headersToString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### keyValueSeparator

          protected java.lang.String keyValueSeparator

    - #### fieldSeparator

          protected java.lang.String fieldSeparator

    - #### statementSeparator

          protected java.lang.String statementSeparator

    - #### printAllHeaders

          protected boolean printAllHeaders

    - #### printNoHeaders

          protected boolean printNoHeaders

    - #### printHeaderNames

          protected java.util.List<java.lang.String> printHeaderNames

    - #### headers

          protected org.apache.http.Header[] headers

  - ### Constructor Detail

    - #### AbstractConnectionDebug

          protected AbstractConnectionDebug()

  - ### Method Detail

    - #### format

          protected java.lang.String format(long ms)

    - #### dump

          public abstract java.lang.String dump()

    - #### headersToString

          protected java.lang.StringBuffer headersToString()

Copyright © 2005-2021 Apache Software Foundation. All Rights Reserved.